BEGIN
	IF (SELECT TOP (1) 1 FROM SysLic) IS NULL
		RETURN;

	DECLARE @sysCultureCode VARCHAR(20);
	SET @sysCultureCode = 'PrimaryCulture';

	DECLARE @defaultLanguageCode VARCHAR(30);
	SET @defaultLanguageCode = 'DefaultMessageLanguage';

	DECLARE @sysSettingsValueSysAdminUnitId UNIQUEIDENTIFIER;
	SET @sysSettingsValueSysAdminUnitId = 'A29A3BA5-4B0D-DE11-9A51-005056C00008';

	DECLARE @defLang UNIQUEIDENTIFIER
	
	SELECT 
		@defLang=[sc].[LanguageId] 
	FROM [SysSettings] [ss]
		INNER JOIN [SysSettingsValue] [ssv] 
			ON [ss].[Id] = [ssv].[SysSettingsId]
		INNER JOIN [SysCulture] [sc] 
			ON [ssv].[GuidValue] = [sc].[Id]
	WHERE [ss].[Code] = @sysCultureCode 
		AND [ssv].[SysAdminUnitId] = @sysSettingsValueSysAdminUnitId

	UPDATE [SysSettingsValue]
		SET [GuidValue] = @defLang
	FROM [SysSettingsValue]
		INNER JOIN [SysSettings] 
			ON [SysSettings].[Id] = [SysSettingsValue].[SysSettingsId]
	WHERE [SysSettings].[Code] = @defaultLanguageCode
END