IF (SELECT TOP (1) 1 FROM SysLic) IS NULL
	RETURN;

DECLARE	@tableName SYSNAME
DECLARE tableNameCursor CURSOR LOCAL FOR SELECT DISTINCT [TableName] from [tmp_OperationData] ORDER BY [TableName]
OPEN tableNameCursor
FETCH NEXT FROM tableNameCursor INTO @tableName
WHILE @@FETCH_STATUS = 0
BEGIN
	IF EXISTS (SELECT NULL FROM sys.tables where name = @tableName)
	BEGIN
		PRINT 'Clear table ''' + @tableName + ''''
		DECLARE @RecordId uniqueidentifier
		DECLARE recordIdCursor CURSOR LOCAL FOR SELECT [RecordId] from [tmp_OperationData] where TableName = @tableName
		OPEN recordIdCursor
		FETCH NEXT FROM recordIdCursor INTO @RecordId
		WHILE @@FETCH_STATUS = 0
		BEGIN
			DECLARE @sqlText NVARCHAR(MAX)
			SET @sqlText = 'DELETE FROM [dbo].[' + @tableName + '] WHERE [Id] = ''' + CAST(@RecordId AS NVARCHAR(50)) + ''''
			PRINT @sqlText
			BEGIN TRY
				EXEC (@sqlText)
			END TRY
			BEGIN CATCH
				PRINT 'Oops, there is some problem with SQL ''' + @sqlText + ''''
				PRINT ERROR_MESSAGE()
			END CATCH
			FETCH NEXT FROM recordIdCursor INTO @RecordId
		END
		CLOSE recordIdCursor
		DEALLOCATE recordIdCursor
	END
	ELSE
		PRINT 'Skip table ''' + @tableName + ''''
	FETCH NEXT FROM tableNameCursor INTO @tableName
END
CLOSE tableNameCursor
DEALLOCATE tableNameCursor

IF EXISTS (SELECT NULL FROM sys.tables where name = 'tmp_OperationData')
BEGIN
	DROP TABLE [dbo].[tmp_OperationData]
END